package com.geek.demo.model;

import java.util.List;
import java.util.Objects;

public class SceneData {
    public String shopName;
    public String sceneUrl;
    public String address;
    public String parentName;
    public String parentId;
    public String categoryName;
    public String categoryId;
    public String logoUrl;
    public String poiId;
    public int clazz;
    public String longitude;
    public String latitude;
    public List<ServiceData> service;
    public List<BannerData> bannerList;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        SceneData sceneData = (SceneData) o;
        return Objects.equals(poiId, sceneData.poiId);
    }

    @Override
    public int hashCode() {

        return Objects.hash(poiId);
    }
}
